import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:tetrisdual/common/cubit/nav/nav_cubit_pages.dart';

import 'package:tetrisdual/cubit/activity/activity_cubit.dart';

class ApplicationConfig {
  static const String parameterCodeGameType = 'gameType';

  static const String gameTypeValueDefault = 'default';

  static final ApplicationConfigDefinition config = ApplicationConfigDefinition(
    appTitle: 'Tetris',
    activitySettings: [
      // game type
      ApplicationSettingsParameter(
        code: parameterCodeGameType,
        values: [
          ApplicationSettingsParameterItemValue(
            value: gameTypeValueDefault,
            isDefault: true,
          ),
        ],
      ),
    ],
    startNewActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).startNewActivity(context);
      BlocProvider.of<NavCubitPage>(context).goToPageGame();
    },
    deleteCurrentActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).deleteSavedActivity();
    },
    resumeActivity: (BuildContext context) {
      BlocProvider.of<ActivityCubit>(context).resumeSavedActivity();
      BlocProvider.of<NavCubitPage>(context).goToPageGame();
    },
  );
}
